For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Us
Knowledge BaseProduct UpdatesAPI Documentation
Knowledge BaseProduct UpdatesAPI Documentation
    • Getting Started
  • API Reference
      • GETCheck the status of a deletion request
Contact Us
LogoLogo
API ReferenceUtilities

Check the status of a deletion request

GET
https://api.cable.tech/v2/deletion_request
GET
/v2/deletion_request
$curl -G https://api.cable.tech/v2/deletion_request \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d deletion_request_id=a3f1c9e2-7b4d-4f8a-9d2e-5c6b7f8a1234
1{
2 "deletion_request_id": "a3f1c9e2-7b4d-4f8a-9d2e-5c6b7f8a1234",
3 "resource_type": "customer_account",
4 "resource_id": "cust-789456123",
5 "status": "pending"
6}
Was this page helpful?
Previous
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

deletion_request_idstringRequired
The unique identifier of the deletion request

Response

Deletion request status
deletion_request_idstring
The unique identifier of the deletion request
resource_typestring
The type of resource that was deleted
resource_idstring
The unique identifier of the resource that was deleted
statusenum
The status of the deletion request
Allowed values:

Errors

401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error